package soln;

import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics2D;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Scanner;

import javax.swing.JFrame;

import packageForLT05.DotView;
import packageForLT05.DotModel;

import type.lang.UniPanel;

public class Labtest05_Sec01_Part1 {

	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String[] args) throws IOException {

		/**
		 * [3 marks] Step 1: create an instance of a ThreeDotModel. Store the
		 * reference in a variable named "model". The API for this and other
		 * classes in this labtest can be found in the "doc" subdirectory of
		 * this package. You may use any valid in the constructor, but do not
		 * use a magic number. NB: your solution should work for *any* valid
		 * value and not just the one you select here.
		 */
		final int NUM_DOTS = 5;
		DotModel model = new DotModel(NUM_DOTS);

		/**
		 * [3 marks] Step 2: create an instance of a DotView. Use the
		 * appropriate constructor. Read the API carefully. You don't need to
		 * add the view to a JFrame. Just instantiate the view, compile and run
		 * the app.
		 * 
		 */
		DotView view = new DotView(model);

		/**
		 * [5 marks] Step 3: add code below so that the app repeatedly prompts
		 * the user for commands, in the same fashion as in DrawVersion6 (which
		 * has been included in the package "packageForLT05"). Offer the
		 * commands "n" for "nudge", "d" for "change diameter", and "q" for
		 * quit. If the user chooses "n" or "d", prompt the user for the
		 * identifier of the desired dot. If the user has indicated "d", then
		 * also them for the new diameter value. If the user selects "q", then
		 * they should not be prompted for any values.
		 * 
		 * The prompts should be as follows:
		 * "Command#1 [n=nudge,d=change diameter, q=quit]:"
		 * 
		 * "Dot to be modified: "
		 * 
		 * "New Diameter: "
		 * 
		 * 
		 * For this step, it is suggested that you resize your eclipse window to
		 * a slightly narrower width and then reposition it to the right. That
		 * was, the GUI frame and the eclipse window will not overlap.
		 * 
		 */

		Scanner input = new Scanner(System.in);
		while (true) {
			System.out
					.println("Command#1 [n=nudge,d=change diameter, q=quit]:");
			String userInput = input.nextLine();
			if (userInput.equals("q")) {
				break;
			}
			System.out.println("Dot to be modified: ");
			int dotIdentifier = Integer.parseInt(input.nextLine());
			if (userInput.equals("n")) {
				model.nudgeToRight(dotIdentifier);
			} else if (userInput.equals("d")) {
				System.out.println("New Diameter: ");
				int newDiameter = Integer.parseInt(input.nextLine());
				model.changeDiameter(dotIdentifier, newDiameter);
			}
		}

		/**
		 * [3 marks] Step 4: add another loop below that offers the commands "n"
		 * for "nudge", "d" for "double diameter", and "q" for quit. The command
		 * "n" works as specified above. The "d" option serves to double the
		 * diameter value of the indicated dot.
		 * 
		 * The prompts should be as follows:
		 * "Command#2 [n=nudge,d=double diameter, q=quit]:"
		 * 
		 * "Dot to be modified: "
		 */
		while (true) {
			System.out
					.println("Command#2 [n=nudge,d=double diameter, q=quit]:");
			String userInput = input.nextLine();
			if (userInput.equals("q")) {
				break;
			}
			System.out.println("Dot to be modified: ");
			int dotIdentifier = Integer.parseInt(input.nextLine());
			if (userInput.equals("n")) {
				model.nudgeToRight(dotIdentifier);
			} else if (userInput.equals("d")) {
				int newDiameter = model.getDiameter(dotIdentifier) * 2;
				model.changeDiameter(dotIdentifier, newDiameter);
			}
		}

	}
}
